    <#if item.getPSViewLogic?? && item.getPSViewLogic()??>
    <#assign viewlogic = item.getPSViewLogic()/>
    /**
     * 打开新建数据视图
     *
     * @param {*} [params={}]
     * @memberof ${srfclassname('${view.name}')}
     */
    public ${item.name}(params: any = {}) {
    <#if viewlogic.isEnableWizardAdd()>
        // 支持向导添加
    </#if>
    <#if viewlogic.isEnableBatchAdd()>
        // 支持批添加
    </#if>
    <#if viewlogic.isBatchAddOnly()>
        // 只支持批添加
    </#if>
    <#if viewlogic.getNewDataPSAppView()??>
        <#assign dataview = viewlogic.getNewDataPSAppView()/>
        <#if dataview.getOpenMode() == 'INDEXVIEWTAB' || dataview.getOpenMode() == ''>
        this.$router.push({ name: '${dataview.getPSAppModule().getCodeName()?lower_case}_${dataview.getCodeName()?lower_case}'});
        </#if>
        <#if dataview.getOpenMode() == 'POPUP'>
        console.log('POPUP模式弹出，暂时不实现，移动端暂时只支持路由跳转和模态方式弹出');
        </#if>
        <#if dataview.getOpenMode() == 'POPUPMODAL'>
        let modalSubject = this.$modal({
            componentName: 'view-${dataview.getCodeName()?lower_case}',
            viewdata:JSON.stringify({ srfkey: params.srfkey })
        }).show();
        modalSubject.subscribe((res: any) => {
            if (res) {
                const _this: any = this;
                if (_this.refresh && _this.refresh instanceof Function) {
                    _this.refresh(res);
                }
                if (_this.engine) {
                    _this.engine.doSysUIAction('Refresh');
                }
                return Promise.resolve(res);
            }
        });
        </#if>
        <#if dataview.getOpenMode() == 'POPUPAPP'>
        console.log('POPUPAPP弹出，暂时不实现，移动端暂时只支持路由跳转和模态方式弹出');
        </#if>
        <#if dataview.getOpenMode()?index_of('DRAWER') == 0>
        console.log('DRAWER弹出，暂时不实现，移动端暂时只支持路由跳转和模态方式弹出');
        </#if>
        <#if dataview.getOpenMode() == 'POPOVER'>
         console.log('POPOVER模式弹出，暂时不实现，移动端暂时只支持路由跳转和模态方式弹出');
        </#if>
        <#if dataview.getOpenMode()?index_of('USER') == 0>
        console.log('${dataview.getOpenMode()}用户自定义');
        </#if>
    </#if>
    }
    </#if>