<#if item.getPSAppView()??>

    /**
    * ${item.getName()}
    *
    * @param {*} [item={}]
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    <#assign dataview = item.getPSAppView()/>
    public click${item.codeName}(item: any = {}) {
    const viewparam: any = <#if item.getOpenViewParam?? && item.getOpenViewParam()??>${item.getOpenViewParam()}<#else>{}</#if>;
    <#if dataview.getOpenMode() == 'INDEXVIEWTAB' || dataview.getOpenMode() == ''>
        // 打开应用视图
        
         <#if view.getViewType() == "APPINDEXVIEW">
             if(item.srfkey){
                this.$router.push({ name: '${view.getCodeName()}_${dataview.getPSAppModule().getCodeName()?lower_case}_${dataview.getCodeName()?lower_case}', query:{srfkey:item.srfkey}});
             }else{
                this.$router.push({ name: '${view.getCodeName()}_${dataview.getPSAppModule().getCodeName()?lower_case}_${dataview.getCodeName()?lower_case}'});
             }
        <#else>
            this.$router.push({ name: '${dataview.getPSAppModule().getCodeName()?lower_case}_${dataview.getCodeName()?lower_case}' });
        </#if>
    </#if>
    <#if dataview.getOpenMode() == 'POPUP'>
        console.log('-----POPUP-----非模式弹出，暂时不实现');
    </#if>
    <#if dataview.getOpenMode() == 'POPUPMODAL'>
        //模式弹出    
        const view = {
        viewname: 'view-${dataview.getCodeName()?lower_case}',
        title: '${dataview.title}',
        };
        const data = { srfparentdata: viewparam ,srfkey: item.srfkey?item.srfkey:''};
        const appmodal = this.$modal({componentName:view.viewname,viewdata:data}).show();
        appmodal.subscribe((result: any) => {
        console.log(result);
        });
    </#if>
    <#if dataview.getOpenMode() == 'POPUPAPP'>
        console.log('-----POPUPAPP-----独立程序弹出，暂时不实现');
    </#if>
    <#if dataview.getOpenMode()?index_of('USER') == 0>
        console.log('-----${dataview.getOpenMode()}-----用户自定义');
    </#if>
    }
</#if>