    /**
     * 部件逻辑事件
     *
     * @param {*} [params={}]
     * @param {*} [tag]
     * @memberof ${srfclassname('${view.name}')}
     */
    public ${item.name}(params: any = {}, tag?: any, $event?: any) {
        <#if item.getEventArg()?? && item.getEventArg()?length gt 0>
        // 参数
        </#if>
        <#if item.getLogicType() == 'APPVIEWUIACTION' && item.getPSAppViewUIAction()??>
        <#assign uiAction = item.getPSAppViewUIAction().getPSUIAction() />

        // 取数
        let datas: any[] = [];
        const paramJO = <#if uiAction.getUIActionParamJO()??>${uiAction.getUIActionParamJO().toString()}<#else>{}</#if>;
        <#if item.getPSAppViewUIAction().getXDataPSControl?? && item.getPSAppViewUIAction().getXDataPSControl()??>
        <#assign xData = item.getPSAppViewUIAction().getXDataPSControl()/>
        <#if xData != item.getPSAppViewUIAction().getPSControlContainer()>
        const component: any = this.$refs.${xData.name?lower_case};
        datas = [...component.getDatas()];
        <#else>
        datas = [...this.getDatas()];
        </#if>
        </#if>

        // 界面行为
        <#if item.getPSAppViewUIAction().getPSUIAction()??>
        <#assign uiaction = item.getPSAppViewUIAction().getPSUIAction()/>
        this.${uiaction.getFullCodeName()}(datas, paramJO,  $event);
        </#if>
        </#if>
    }